summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDamien Miller <djm@mindrot.org>2010-02-24 17:28:45 +1100
committerDamien Miller <djm@mindrot.org>2010-02-24 17:28:45 +1100
commit8f9492c90d02f97cf7248147961b3f2a9de075d8 (patch)
tree027a27ac4305d7407333d77d79e8788b6a4033ab
parentbb4ae5583bffe27d9485198e199bea9767701bb1 (diff)
- djm@cvs.openbsd.org 2010/02/09 06:29:02
[regress/Makefile] turn on all the malloc(3) checking options when running regression tests. this has caught a few bugs for me in the past; ok dtucker@
-rw-r--r--ChangeLog4
-rw-r--r--regress/Makefile9
2 files changed, 10 insertions, 3 deletions
diff --git a/ChangeLog b/ChangeLog
index 0765008f2..5595fdbbc 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -14,6 +14,10 @@
14 - djm@cvs.openbsd.org 2010/02/09 04:57:36 14 - djm@cvs.openbsd.org 2010/02/09 04:57:36
15 [regress/addrmatch.sh] 15 [regress/addrmatch.sh]
16 clean up droppings 16 clean up droppings
17 - djm@cvs.openbsd.org 2010/02/09 06:29:02
18 [regress/Makefile]
19 turn on all the malloc(3) checking options when running regression
20 tests. this has caught a few bugs for me in the past; ok dtucker@
17 21
1820100212 2220100212
19 - (djm) OpenBSD CVS Sync 23 - (djm) OpenBSD CVS Sync
diff --git a/regress/Makefile b/regress/Makefile
index 761cc286a..42e84d4c5 100644
--- a/regress/Makefile
+++ b/regress/Makefile
@@ -1,4 +1,4 @@
1# $OpenBSD: Makefile,v 1.50 2009/11/09 04:20:04 dtucker Exp $ 1# $OpenBSD: Makefile,v 1.51 2010/02/09 06:29:02 djm Exp $
2 2
3REGRESS_TARGETS= t1 t2 t3 t4 t5 t6 t7 t-exec 3REGRESS_TARGETS= t1 t2 t3 t4 t5 t6 t7 t-exec
4tests: $(REGRESS_TARGETS) 4tests: $(REGRESS_TARGETS)
@@ -68,6 +68,9 @@ CLEANFILES= t2.out t6.out1 t6.out2 t7.out t7.out.pub copy.1 copy.2 \
68 sshd_proxy_bak rsa_ssh2_cr.prv rsa_ssh2_crnl.prv \ 68 sshd_proxy_bak rsa_ssh2_cr.prv rsa_ssh2_crnl.prv \
69 putty.rsa2 69 putty.rsa2
70 70
71# Enable all malloc(3) randomisations and checks
72TEST_ENV= "MALLOC_OPTIONS=AFGJPRX"
73
71t1: 74t1:
72 ssh-keygen -if ${.CURDIR}/rsa_ssh2.prv | diff - ${.CURDIR}/rsa_openssh.prv 75 ssh-keygen -if ${.CURDIR}/rsa_ssh2.prv | diff - ${.CURDIR}/rsa_openssh.prv
73 76
@@ -106,13 +109,13 @@ t-exec: ${LTESTS:=.sh}
106 @if [ "x$?" = "x" ]; then exit 0; fi; \ 109 @if [ "x$?" = "x" ]; then exit 0; fi; \
107 for TEST in ""$?; do \ 110 for TEST in ""$?; do \
108 echo "run test $${TEST}" ... 1>&2; \ 111 echo "run test $${TEST}" ... 1>&2; \
109 (env SUDO=${SUDO} sh ${.CURDIR}/test-exec.sh ${.OBJDIR} ${.CURDIR}/$${TEST}) || exit $$?; \ 112 (env SUDO=${SUDO} TEST_ENV=${TEST_ENV} sh ${.CURDIR}/test-exec.sh ${.OBJDIR} ${.CURDIR}/$${TEST}) || exit $$?; \
110 done 113 done
111 114
112t-exec-interop: ${INTEROP_TESTS:=.sh} 115t-exec-interop: ${INTEROP_TESTS:=.sh}
113 @if [ "x$?" = "x" ]; then exit 0; fi; \ 116 @if [ "x$?" = "x" ]; then exit 0; fi; \
114 for TEST in ""$?; do \ 117 for TEST in ""$?; do \
115 echo "run test $${TEST}" ... 1>&2; \ 118 echo "run test $${TEST}" ... 1>&2; \
116 (env SUDO=${SUDO} sh ${.CURDIR}/test-exec.sh ${.OBJDIR} ${.CURDIR}/$${TEST}) || exit $$?; \ 119 (env SUDO=${SUDO} TEST_ENV=${TEST_ENV} sh ${.CURDIR}/test-exec.sh ${.OBJDIR} ${.CURDIR}/$${TEST}) || exit $$?; \
117 done 120 done
118 121